package betterwithmods.client.render;

import betterwithmods.client.model.render.RenderUtils;
import net.minecraft.block.Block;
import net.minecraft.client.renderer.entity.Render;
import net.minecraft.client.renderer.entity.RenderManager;
import net.minecraft.entity.Entity;
import net.minecraft.util.ResourceLocation;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public class RenderInvisible extends Render<Entity> {

    public RenderInvisible(RenderManager renderManager) {
        super(renderManager);
    }

    @Override
    public void func_76986_a(@Nonnull Entity entity, double x, double y, double z, float entityYaw, float partialTicks) {
        super.func_76986_a(entity, x, y, z, entityYaw, partialTicks);
        RenderUtils.renderDebugBoundingBox(x, y, z, Block.field_185505_j.func_186670_a(entity.func_180425_c()));
    }

    @Nullable
    @Override
    protected ResourceLocation func_110775_a(@Nonnull Entity entity) {
        return null;
    }
}
