package betterwithmods.client.model.filters;

import net.minecraft.client.model.ModelRenderer;
import net.minecraft.item.ItemStack;
import net.minecraft.util.ResourceLocation;

public class ModelGrate extends ModelWithResource {
    private final ModelRenderer model;

    public ModelGrate(ItemStack grate) {
        ResourceLocation item = grate.func_77973_b().getRegistryName();
        if (item != null) {
            this.location = new ResourceLocation(item.func_110624_b(), "textures/blocks/" + item.func_110623_a() + ".png");
        }
        model = new ModelRenderer(this, 0, 0);
        model.func_78787_b(16, 16);
        model.func_78789_a(-5F, 5.8F, -8F, 1, 1, 16);
        model.func_78789_a(-0.5F, 5.8F, -8F, 1, 1, 16);
        model.func_78789_a(4F, 5.8F, -8F, 1, 1, 16);
        model.func_78789_a(-8F, 5.75F, -5F, 16, 1, 1);
        model.func_78789_a(-8F, 5.75F, -0.5F, 16, 1, 1);
        model.func_78789_a(-8F, 5.75F, 4F, 16, 1, 1);
    }

    @Override
    public void renderModels(float scale) {
        model.func_78785_a(scale);
    }

    @Override
    public boolean isSolid() {
        return false;
    }
}
