package betterwithmods.common.items;

import betterwithmods.common.entity.EntityDynamite;
import betterwithmods.util.InvUtils;
import net.minecraft.client.resources.I18n;
import net.minecraft.client.util.ITooltipFlag;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.init.Items;
import net.minecraft.init.SoundEvents;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.item.crafting.Ingredient;
import net.minecraft.util.ActionResult;
import net.minecraft.util.EnumActionResult;
import net.minecraft.util.EnumHand;
import net.minecraft.util.SoundCategory;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;
import net.minecraftforge.oredict.OreDictionary;

import javax.annotation.Nonnull;

public class ItemDynamite extends Item {

    private final static Ingredient FLINT_AND_STEEL = Ingredient.func_193369_a(new ItemStack(Items.field_151033_d, 1, OreDictionary.WILDCARD_VALUE));

    public ItemDynamite() {
        super();

    }

    @Nonnull
    @Override
    public ActionResult<ItemStack> func_77659_a(World world, EntityPlayer player, EnumHand hand) {
        ItemStack held = player.func_184586_b(hand);

        if (!world.field_72995_K) {

            ItemStack activator = InvUtils.findItemInInventory(FLINT_AND_STEEL, InvUtils.getPlayerInventory(player, null));
            if (!activator.func_190926_b()) {
                activator.func_77972_a(1, player);
            }
            boolean lit = !activator.func_190926_b();


            held.func_190918_g(1);
            EntityDynamite dynamite = new EntityDynamite(world, player, lit);
            world.func_72838_d(dynamite);

            if (lit)
                world.func_184133_a(null, new BlockPos(dynamite.field_70165_t, dynamite.field_70163_u, dynamite.field_70161_v), SoundEvents.field_187904_gd, SoundCategory.AMBIENT, 1.0F, 1.0F);
            else
                world.func_184133_a(null, new BlockPos(dynamite.field_70165_t, dynamite.field_70163_u, dynamite.field_70161_v), SoundEvents.field_187737_v, SoundCategory.AMBIENT, 0.5F, 0.4F / (Item.field_77697_d.nextFloat() * 0.4F + 0.8F));
            return new ActionResult<>(EnumActionResult.SUCCESS, held);
        }
        return new ActionResult<>(EnumActionResult.PASS, held);
    }
}
