package betterwithmods.common.tile;

import betterwithmods.module.hardcore.crafting.HCFurnace;
import net.minecraft.block.BlockFurnace;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.network.NetworkManager;
import net.minecraft.network.play.server.SPacketUpdateTileEntity;
import net.minecraft.tileentity.TileEntityFurnace;
import net.minecraft.util.math.MathHelper;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

import javax.annotation.Nonnull;

public class TileFurnace extends TileEntityFurnace {
    @Override
    public void func_70299_a(int index, ItemStack stack) {
        super.func_70299_a(index, stack);
        func_70296_d();
    }

    @Override
    public void func_70296_d() {
        field_145850_b.func_175704_b(field_174879_c, field_174879_c);
        field_145850_b.func_184138_a(field_174879_c, field_145850_b.func_180495_p(field_174879_c), field_145850_b.func_180495_p(field_174879_c), 3);
        field_145850_b.func_180497_b(field_174879_c, this.func_145838_q(), 0, 0);
    }

    @Override
    public int func_174904_a(ItemStack stack) {
        return HCFurnace.getCookingTime(stack).orElse(HCFurnace.DEFAULT_FURNACE_TIMING);
    }

    public void func_73660_a() {
        boolean flag = this.func_145950_i();
        boolean flag1 = false;

        if (this.func_145950_i()) {
            --this.field_145956_a;
        }

        if (!this.field_145850_b.field_72995_K) {
            ItemStack fuel = this.field_145957_n.get(1);
            ItemStack smelt = this.field_145957_n.get(0);
            if (this.func_145950_i() || !fuel.func_190926_b()) {
                boolean fuelConsumeCondition = HCFurnace.CONSUME_FUEL_WHEN_IDLE || this.func_145948_k();
                if (!this.func_145950_i() && fuelConsumeCondition) {
                    this.field_145956_a = func_145952_a(fuel);
                    this.field_145963_i = this.field_145956_a;

                    if (this.func_145950_i()) {
                        flag1 = true;

                        if (!fuel.func_190926_b()) {
                            Item item = fuel.func_77973_b();
                            fuel.func_190918_g(1);

                            if (fuel.func_190926_b()) {
                                ItemStack item1 = item.getContainerItem(fuel);
                                this.field_145957_n.set(1, item1);
                            }
                        }
                    }
                }

                if (this.func_145950_i() && this.func_145948_k()) {
                    ++this.field_174906_k;

                    if (this.field_174906_k == this.field_174905_l) {
                        this.field_174906_k = 0;
                        this.field_174905_l = this.func_174904_a(smelt);
                        this.func_145949_j();
                        flag1 = true;
                    }
                } else {
                    this.field_174906_k = 0;
                }
            } else if (!this.func_145950_i() && this.field_174906_k > 0) {
                this.field_174906_k = MathHelper.func_76125_a(this.field_174906_k - 2, 0, this.field_174905_l);
            }

            if (flag != this.func_145950_i()) {
                flag1 = true;
                BlockFurnace.func_176446_a(this.func_145950_i(), this.field_145850_b, this.field_174879_c);
            }
        }

        if (flag1) {
            this.func_70296_d();
        }
    }

    @Override
    public void handleUpdateTag(@Nonnull NBTTagCompound tag) {
        super.handleUpdateTag(tag);
        func_70296_d();
    }

    @Override
    public SPacketUpdateTileEntity func_189518_D_() {
        NBTTagCompound nbtTag = new NBTTagCompound();
        this.func_189515_b(nbtTag);
        return new SPacketUpdateTileEntity(func_174877_v(), 0, nbtTag);
    }


    @SideOnly(Side.CLIENT)
    @Override
    public void onDataPacket(NetworkManager net, SPacketUpdateTileEntity packet) {
        super.onDataPacket(net, packet);
        this.func_145839_a(packet.func_148857_g());
    }

    @Nonnull
    @Override
    public NBTTagCompound func_189517_E_() {
        return func_189515_b(new NBTTagCompound());
    }

}
